import { defineComponent as n, computed as r, createBlock as s, openBlock as l, resolveDynamicComponent as m, normalizeStyle as d, withCtx as c, renderSlot as h, createTextVNode as i, toDisplayString as u } from "vue";
import { getHttpMethodInfo as f } from "@scalar/helpers/http/http-info";
import { normalizeHttpMethod as y } from "@scalar/helpers/http/normalize-http-method";
const C = /* @__PURE__ */ n({
  __name: "HttpMethod",
  props: {
    as: {},
    property: {},
    short: { type: Boolean },
    method: {}
  },
  setup(p) {
    const e = p, t = r(() => f(e.method)), a = r(() => y(e.method));
    return (o, v) => (l(), s(m(o.as ?? "span"), {
      class: "uppercase",
      style: d({ [o.property || "color"]: t.value.colorVar })
    }, {
      default: c(() => [
        h(o.$slots, "default"),
        i(" " + u(o.short ? t.value.short : a.value), 1)
      ]),
      _: 3
    }, 8, ["style"]));
  }
});
export {
  C as default
};
